## rb-removable-media-source

rb-removable-media-source

## Synopsis

    char*               rb_removable_media_source_build_dest_uri
                                                            (RBRemovableMediaSource *source,
                                                             RhythmDBEntry *entry,
                                                             const char *mimetype,
                                                             const char *extension);
    void                rb_removable_media_source_track_added
                                                            (RBRemovableMediaSource *source,
                                                             RhythmDBEntry *entry,
                                                             const char *uri,
                                                             guint64 filesize,
                                                             const char *mimetype);
    GList*              rb_removable_media_source_get_mime_types
                                                            (RBRemovableMediaSource *source);

## Description

## Details

### rb_removable_media_source_build_dest_uri ()

    char*               rb_removable_media_source_build_dest_uri
                                                            (RBRemovableMediaSource *source,
                                                             RhythmDBEntry *entry,
                                                             const char *mimetype,
                                                             const char *extension);

`source` : |
`entry` : |
`mimetype` : |
`extension` : |
Returns : |

### rb_removable_media_source_track_added ()

    void                rb_removable_media_source_track_added
                                                            (RBRemovableMediaSource *source,
                                                             RhythmDBEntry *entry,
                                                             const char *uri,
                                                             guint64 filesize,
                                                             const char *mimetype);

`source` : |
`entry` : |
`uri` : |
`filesize` : |
`mimetype` : |

### rb_removable_media_source_get_mime_types ()

    GList*              rb_removable_media_source_get_mime_types
                                                            (RBRemovableMediaSource *source);

`source` : |
Returns : |